# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bitfinex/version'

Gem::Specification.new do |spec|
  spec.name          = "bitfinex"
  spec.version       = Bitfinex::VERSION
  spec.authors       = ["v4n"]
  spec.email         = ["v4n@reuxs.com"]
  spec.summary       = "This is a Bitfinex Ruby Gem to access and manage Bitfinex data provided by its API."
  spec.description   = ""
  spec.homepage      = "https://github.com/v4n/bitfinex"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'httparty'
  spec.add_dependency 'multi_json'
  spec.add_dependency 'activesupport'
  spec.add_dependency 'configatron'

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'byebug'
  spec.add_development_dependency 'pry-byebug'

  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'vcr'
  spec.add_development_dependency 'webmock'
  spec.add_development_dependency 'guard'
  spec.add_development_dependency 'guard-rspec'
  spec.add_development_dependency 'guard-spork'
end
