describe Bitfinex do

  describe Bitfinex::Ticker do
    let(:ticker) { Bitfinex::Ticker.new "btcusd"}

    it 'contain the right type of values' do
      expect(ticker.high).to be_a_kind_of(Numeric)
      expect(ticker.low).to be_a_kind_of(Numeric)
      expect(ticker.average).to be_a_kind_of(Numeric)
      expect(ticker.last).to be_a_kind_of(Numeric)
      expect(ticker.buy).to be_a_kind_of(Numeric)
      expect(ticker.sell).to be_a_kind_of(Numeric)
      expect(ticker.volume).to be_a_kind_of(Numeric)
    end
  end

end
